# Fetch cryptocurrency to fiat-currency rate

<mark style="color:green;">`POST`</mark> `https://app.thedex.cloud/api/v1/info/user/currencies/crypto`

#### Headers

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| X-EX-APIKEY<mark style="color:red;">\*</mark>    | String | Your API key                       |
| X-EX-PAYLOAD<mark style="color:red;">\*</mark>   | String | Body to base64                     |
| X-EX-SIGNATURE<mark style="color:red;">\*</mark> | String | Encrypted body with the secret key |

#### Request Body (Empty JSON)

```json
{ }
```

**Request JSON attributes**

| Name | Type | Description |
| ---- | ---- | ----------- |
| -    | -    | -           |

**Response Body**

{% tabs %}
{% tab title="200 crypto to fiat currency rate" %}

```json
{
   [
      {
         "monetary": "String",
         "rates":[
            {
               "fiatCurrency": "String",
               "rate": "BigDecimal"
            }
         ]
      }
   ]
}
```

Example:

```json
{
   [
      {
         "monetary":"BTC_BITCOIN",
         "rates":[
            {
               "fiatCurrency":"USD",
               "rate":"22890.06000000"
            },
            {
               "fiatCurrency":"EUR",
               "rate":"20601.05400000"
            },
            {
               "fiatCurrency":"UAH",
               "rate":"922469.41800000"
            }
         ]
      },
      {
         "monetary":"ETH_ETHEREUM",
         "rates":[
            {
               "fiatCurrency":"USD",
               "rate":"1571.64000000"
            },
            {
               "fiatCurrency":"EUR",
               "rate":"1414.47600000"
            },
            {
               "fiatCurrency":"UAH",
               "rate":"63337.09200000"
            }
         ]
      }
   ]
}
```

{% endtab %}
{% endtabs %}

**Response JSON attributes:**

<table data-header-hidden><thead><tr><th width="195"></th><th width="140.33333333333331"></th><th></th></tr></thead><tbody><tr><td><code>"monetary"</code></td><td><code>String</code></td><td>The pay-currency (also mentions as crypto-currency) name is used as the title of fiat currency rates. Reach out to accessed values to define attributes by link: <a href="/pages/T8Adh6BIVE4Ma5SN3zSc"><code>/api/v1/info/currencies</code></a><br>attribute <code>"payCurrencies"</code></td></tr><tr><td><code>"rates"</code></td><td><code>Object array</code></td><td>Array of fiat currency rates.</td></tr><tr><td><code>"fiatCurrency"</code></td><td><code>String</code></td><td>Fiat currency. Reach out to accessed values to define attributes by link: <a href="/pages/T8Adh6BIVE4Ma5SN3zSc"><code>/api/v1/info/currencies</code></a><br>attribute <code>"fiatCurrencies"</code></td></tr><tr><td><code>"rate"</code></td><td><code>BigDecimal</code></td><td><code>"monetary"</code> to <code>"fiatCurrency"</code> rate.</td></tr></tbody></table>

**Request Curl**

<pre class="language-powershell"><code class="lang-powershell"><strong>curl --location --request POST  'https://app.thedex.cloud/api/v1/info/user/currencies/crypto' \
</strong>--header 'X-EX-APIKEY: &#x3C;string>' \
--header 'X-EX-PAYLOAD: &#x3C;string>' \
--header 'X-EX-SIGNATURE: &#x3C;string>' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
</code></pre>

Example Curl

```powershell
curl --location --request POST 'https://app.thedex.cloud/api/v1/info/user/currencies/crypto' \
--header 'X-EX-APIKEY: abcd1234apikeyexample' \
--header 'X-EX-PAYLOAD: e30=' \
--header 'X-EX-SIGNATURE: 123abc456def7890abcdef1234567890abcdef1234567890abcdef1234567890' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--data '{}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thedex.cloud/documentation/informational/fetch-crypto-to-fiat-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
